| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Parser
Parser.XML
Parser.XML.Tree
Parser.XML.Tree.AbstractNode

# Method Parser.XML.Tree.AbstractNode()->add_child()

Method add_child

  `AbstractNode add_child(AbstractNode c)`

Description

  Adds the node c to the list of children of this node. The node is added before the node old , which is assumed to be an existing child of this node. The node is added first if old is zero.

Note

  Returns the new child node, NOT the current node.

Returns

  The new child node is returned.